int led = 3;           //Ab nun bedeutet led = 3
int schalter = 5;      //Ab nun bedeutet schalter = 5
byte helligkeit = 0;   //Zustandsvariable der Helligkeit

void setup() {
  pinMode (led, OUTPUT);         //Pin0 als Ausgang definieren
  pinMode (schalter, INPUT);     //Pin5 als Eingang definieren
  digitalWrite (schalter, HIGH); //Pin5 High setzen für internen Pullup
  Serial.begin (9600);           //Serielle Schnittstelle initialisieren
}

void loop() { 
  if (digitalRead (schalter)  == LOW) {           //WENN Schalter gedrückt DANN {...}
    helligkeit = helligkeit +32;                  //Helligkeitsvariable um 32 erhöhen
    Serial.print ("Helligkeitsstufe: " );  //Helligkeit ausgeben (Text)
    Serial.println (helligkeit/32 );                 //Helligkeit ausgeben (Wert)
    analogWrite(led, helligkeit);                 //Helligkeit an LED ausgeben
    delay(500);                                   //Wartezeit zur Tasteentprellung
  }
}

